gdaltools relies on gdalinfo for raster SRS and extent, should use python API
Status: Closed

Priority: Low

Assignee: Etienne Tourigny

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18052

Description

GdalTools should rely on commandline tools only for complex operations, not basic dataset info.

The SRS and extent query methods rely on gdalinfo, which is fragile as reported by Even Rouault:

#d63104ae50dcd45ddf50dfe31ea6803530a64b26#commitcomment-5218484

Just an outsider point of view : why using GDAL utilties and risky output parsing to get the SRS and not just plain Python GDAL

API...

I have a pull request to fix this, but I am hesitant to apply this to master now. Any input would be appreciated.

Associated revisions

Revision 58faa5b4 - 2014-02-05 11:54 PM - Giuseppe Sucameli

Merge pull request #1129 from etiennesky/gdaltools_fixes2

gdaltools: use GDAL python bindings to get raster SRS and extent (fix #9460)

History

#1 - 2014-01-30 05:51 AM - Etienne Tourigny

see pull request https://github.com/qgis/QGIS/pull/1129

#2 - 2014-02-05 02:54 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"58faa5b4ad113860e798f2b5fdeb0741bb864e09".

#3 - 2014-02-05 02:57 PM - Giuseppe Sucameli

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/1129


Merged, thanks Etienne.
